Is the subprocess module robust enough in 2.4?

James Mills prologic at shortcircuit.net.au
Fri Feb 6 00:16:47 CET 2009


On Fri, Feb 6, 2009 at 2:20 AM,  <skip at pobox.com> wrote:
> The subprocess module was added in Python 2.4.  I'm running 2.4.5 at work.
> I know it's seen many bugfixes since first released.  Is the version in 2.4
> robust enough to use in preference to os.popen and friends?

"Is xxx rubust enough" is an untangible question.
What you really -should- be doing is looking at the
bug reports (as you've mentioned) and determine whether
or not they will affect your use-case(s) in any way.

cheers
James



More information about the Python-list mailing list